Name:           python-solid-dmft
Version:        3.3.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        solid_dmft: a versatile python wrapper to perform DFT+DMFT calculations utilizing the TRIQS software library

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://triqs.github.io/solid_dmft
Source:         %{pypi_source solid_dmft}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'solid-dmft' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-solid-dmft
Summary:        %{summary}

%description -n python3-solid-dmft %_description


%prep
%autosetup -p1 -n solid_dmft-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-solid-dmft -f %{pyproject_files}


%changelog
%autochangelog